Subject: Offline Message from Jumana Adel: I don’t know how this mistake is happen ! i
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 10 Jun 2020 03:11:00 -0000

From: Jumana Adel <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us
Department: 

I don’t know how this mistake is happen ! in a company such as mumzworld but it’s not the 1st time it’s happened with me and my friends i swear it will be the last time to order something from this application I order bed then I received this toy ! how’s responsibility is this! after that I tried to call the call center after 17 mins of waiting they end the call !!!!!!! I tried to contact “baraq company “ no one answer also ! 

----
Zopim
https://www.zopim.com